"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadSPCore = void 0;
/**
 * Loads the core SharePoint JavaScript library for JSOM.
 */
exports.loadSPCore = function () {
    // Return a promise
    return new Promise(function (resolve) {
        // Define the core libraries to load
        var libs = ["init", "MicrosoftAjax", "SP.Runtime", "SP"];
        // Parse the libraries
        for (var i = 0; i < libs.length; i++) {
            var libName = libs[i];
            // See if a script already exists
            if (document.querySelector("script[title='" + libName + "']") == null) {
                // Log
                console.debug("[gd-sprest] Loading the core library: " + libName);
                // Load the library
                var elScript = document.createElement("script");
                elScript.title = libName;
                elScript.src = document.location.origin + "/_layouts/15/" + libName + ".js";
                document.head.appendChild(elScript);
            }
            else {
                // Log
                console.debug("[gd-sprest] Core library already loaded: " + libName);
            }
        }
        // Resolve the request
        resolve();
    });
};
