"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Graph = void 0;
var sptypes_1 = require("../sptypes");
var utils_1 = require("../utils");
// Default Token
//export const Token
/**
 * Graph
 */
exports.Graph = (function (props) {
    var graph = new utils_1.Base({ accessToken: props && props.accessToken ? props.accessToken : exports.Graph.Token });
    // Default the target information
    graph.targetInfo.requestType = (props && props.requestType ? props.requestType : "").toLowerCase() == "post" ? utils_1.RequestType.GraphPost : utils_1.RequestType.GraphGet;
    // Set the endpoint
    graph.targetInfo.data = props ? props.data : null;
    graph.targetInfo.endpoint = props && props.cloud ? props.cloud : exports.Graph.Cloud || sptypes_1.SPTypes.CloudEnvironment.Default;
    graph.targetInfo.endpoint += "/" + (props && props.version ? props.version : exports.Graph.Version || "v1.0");
    // See if the url is set
    if (props && props.url) {
        // Set the endpoint
        graph.targetInfo.endpoint += "/" + props.url;
    }
    else {
        // Add the default methods
        utils_1.Request.addMethods(graph, { __metadata: { type: "graph" } });
    }
    // Return the graph
    return graph;
});
// Default Values
exports.Graph.Cloud = "";
exports.Graph.Token = "";
exports.Graph.Version = "";
// Method to get the graph token from a classic page
exports.Graph.getAccessToken = function (resource) {
    // Set the data 
    var data = { "resource": resource || sptypes_1.SPTypes.CloudEnvironment.Default };
    // Get the access token
    return new utils_1.Base({
        endpoint: "SP.OAuth.Token/Acquire",
        method: "POST",
        data: data
    });
};
